import type { CreateElement } from 'vue';
import type { PropType } from '@vue/composition-api';
import type { TypeUploadProps, UploadFile } from '../type';
import type { CommonDisplayFileProps } from '../interface';
import type { UploadDragEvents } from '../hooks/use-drag';
export interface DraggerProps extends CommonDisplayFileProps {
    trigger?: TypeUploadProps['trigger'];
    triggerUpload?: (e: MouseEvent) => void;
    uploadFiles?: (toFiles?: UploadFile[]) => void;
    cancelUpload?: (context: {
        e: MouseEvent;
        file: UploadFile;
    }) => void;
    dragEvents: UploadDragEvents;
}
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    drag: {
        target: any;
        dragActive: import("@vue/composition-api").Ref<boolean>;
        handleDrop: (event: DragEvent) => void;
        handleDragenter: (event: DragEvent) => void;
        handleDragleave: (event: DragEvent) => void;
        handleDragover: (event: DragEvent) => void;
    };
    dragActive: import("@vue/composition-api").Ref<boolean>;
    draggerFileRef: import("@vue/composition-api").Ref<any>;
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
    uploadPrefix: string;
    icons: import("../../config-provider").IconConfig;
}> & import("@vue/composition-api").Data, {
    renderImage(): JSX.Element;
    renderUploading(): JSX.Element;
    renderMainPreview(): JSX.Element;
    renderDefaultDragElement(): JSX.Element;
    getContent(): JSX.Element;
}, {}, {
    trigger: PropType<(h: CreateElement, props: import("../type").TriggerContext) => import("vue/types/vnode").ScopedSlotReturnValue>;
    triggerUpload: PropType<(e: MouseEvent) => void>;
    uploadFiles: PropType<(toFiles?: UploadFile[]) => void>;
    cancelUpload: PropType<(context: {
        e: MouseEvent;
        file: UploadFile;
    }) => void>;
    dragEvents: PropType<UploadDragEvents>;
    files: import("vue").PropType<UploadFile[]>;
    toUploadFiles: import("vue").PropType<UploadFile[]>;
    displayFiles: import("vue").PropType<UploadFile[]>;
    theme: import("vue").PropType<"image" | "custom" | "file" | "file-input" | "file-flow" | "image-flow">;
    abridgeName: import("vue").PropType<number[]>;
    placeholder: StringConstructor;
    classPrefix: StringConstructor;
    tips: StringConstructor;
    status: import("vue").PropType<"default" | "error" | "warning" | "success">;
    locale: import("vue").PropType<import("../../config-provider").UploadConfig>;
    sizeOverLimitMessage: StringConstructor;
    autoUpload: BooleanConstructor;
    disabled: BooleanConstructor;
    uploading: BooleanConstructor;
    tipsClasses: import("vue").PropType<string>;
    errorClasses: import("vue").PropType<string[]>;
    default: import("vue").PropType<(h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    fileListDisplay: import("vue").PropType<(h: CreateElement, props: {
        files: UploadFile[];
        dragEvents?: import("../type").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    onRemove: import("vue").PropType<(p: import("../type").UploadRemoveContext) => void>;
}, import("@vue/composition-api").ExtractPropTypes<{
    trigger: PropType<(h: CreateElement, props: import("../type").TriggerContext) => import("vue/types/vnode").ScopedSlotReturnValue>;
    triggerUpload: PropType<(e: MouseEvent) => void>;
    uploadFiles: PropType<(toFiles?: UploadFile[]) => void>;
    cancelUpload: PropType<(context: {
        e: MouseEvent;
        file: UploadFile;
    }) => void>;
    dragEvents: PropType<UploadDragEvents>;
    files: import("vue").PropType<UploadFile[]>;
    toUploadFiles: import("vue").PropType<UploadFile[]>;
    displayFiles: import("vue").PropType<UploadFile[]>;
    theme: import("vue").PropType<"image" | "custom" | "file" | "file-input" | "file-flow" | "image-flow">;
    abridgeName: import("vue").PropType<number[]>;
    placeholder: StringConstructor;
    classPrefix: StringConstructor;
    tips: StringConstructor;
    status: import("vue").PropType<"default" | "error" | "warning" | "success">;
    locale: import("vue").PropType<import("../../config-provider").UploadConfig>;
    sizeOverLimitMessage: StringConstructor;
    autoUpload: BooleanConstructor;
    disabled: BooleanConstructor;
    uploading: BooleanConstructor;
    tipsClasses: import("vue").PropType<string>;
    errorClasses: import("vue").PropType<string[]>;
    default: import("vue").PropType<(h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    fileListDisplay: import("vue").PropType<(h: CreateElement, props: {
        files: UploadFile[];
        dragEvents?: import("../type").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    onRemove: import("vue").PropType<(p: import("../type").UploadRemoveContext) => void>;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    autoUpload: boolean;
    uploading: boolean;
} & {
    classPrefix?: string;
    default?: (h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    trigger?: (h: CreateElement, props: import("../type").TriggerContext) => import("vue/types/vnode").ScopedSlotReturnValue;
    errorClasses?: string[];
    status?: "default" | "error" | "warning" | "success";
    tips?: string;
    placeholder?: string;
    theme?: "image" | "custom" | "file" | "file-input" | "file-flow" | "image-flow";
    onRemove?: (p: import("../type").UploadRemoveContext) => void;
    abridgeName?: number[];
    fileListDisplay?: (h: CreateElement, props: {
        files: UploadFile[];
        dragEvents?: import("../type").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    files?: UploadFile[];
    locale?: unknown;
    toUploadFiles?: UploadFile[];
    displayFiles?: UploadFile[];
    tipsClasses?: string;
    sizeOverLimitMessage?: string;
    triggerUpload?: (e: MouseEvent) => void;
    uploadFiles?: (toFiles?: UploadFile[]) => void;
    cancelUpload?: (context: {
        e: MouseEvent;
        file: UploadFile;
    }) => void;
    dragEvents?: unknown;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    drag: {
        target: any;
        dragActive: import("@vue/composition-api").Ref<boolean>;
        handleDrop: (event: DragEvent) => void;
        handleDragenter: (event: DragEvent) => void;
        handleDragleave: (event: DragEvent) => void;
        handleDragover: (event: DragEvent) => void;
    };
    dragActive: import("@vue/composition-api").Ref<boolean>;
    draggerFileRef: import("@vue/composition-api").Ref<any>;
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: boolean;
    })[]>;
    sizeClassNames: {
        small: string;
        medium: string;
        large: string;
        default: string;
        xs: string;
        xl: string;
        block: string;
    };
    uploadPrefix: string;
    icons: import("../../config-provider").IconConfig;
}>, import("@vue/composition-api").Data, {}, {
    renderImage(): JSX.Element;
    renderUploading(): JSX.Element;
    renderMainPreview(): JSX.Element;
    renderDefaultDragElement(): JSX.Element;
    getContent(): JSX.Element;
}, {}, {}, {}, {
    disabled: boolean;
    autoUpload: boolean;
    uploading: boolean;
} & {
    classPrefix?: string;
    default?: (h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    trigger?: (h: CreateElement, props: import("../type").TriggerContext) => import("vue/types/vnode").ScopedSlotReturnValue;
    errorClasses?: string[];
    status?: "default" | "error" | "warning" | "success";
    tips?: string;
    placeholder?: string;
    theme?: "image" | "custom" | "file" | "file-input" | "file-flow" | "image-flow";
    onRemove?: (p: import("../type").UploadRemoveContext) => void;
    abridgeName?: number[];
    fileListDisplay?: (h: CreateElement, props: {
        files: UploadFile[];
        dragEvents?: import("../type").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    files?: UploadFile[];
    locale?: unknown;
    toUploadFiles?: UploadFile[];
    displayFiles?: UploadFile[];
    tipsClasses?: string;
    sizeOverLimitMessage?: string;
    triggerUpload?: (e: MouseEvent) => void;
    uploadFiles?: (toFiles?: UploadFile[]) => void;
    cancelUpload?: (context: {
        e: MouseEvent;
        file: UploadFile;
    }) => void;
    dragEvents?: unknown;
}, {
    disabled: boolean;
    autoUpload: boolean;
    uploading: boolean;
}, true>);
export default _default;
